Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TypeCodeFactoryPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.TypeCodeFactoryPOA
                  |
                  +--org.omg.CORBA.TypeCodeFactoryPOATie

All Implemented Interfaces:
  InvokeHandler, TypeCodeFactoryOperations

public class TypeCodeFactoryPOATie
extends TypeCodeFactoryPOA

TypeCodeFactory, creates typecodes.

Since:
  CORBA 3.0

Constructor Summary
`TypeCodeFactoryPOATie(TypeCodeFactoryOperations tieObject)` Constructor
`TypeCodeFactoryPOATie(TypeCodeFactoryOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`TypeCodeFactoryOperations` | `_delegate()` Get the delegate
`void` | `_delegate(TypeCodeFactoryOperations delegate_)` Set the delegate
`TypeCode` | `create_abstract_interface_tc(java.lang.String id, java.lang.String name)` Operation create_abstract_interface_tc
`TypeCode` | `create_alias_tc(java.lang.String id, java.lang.String name, TypeCode original_type)` Operation create_alias_tc
`TypeCode` | `create_array_tc(int length, TypeCode element_type)` Operation create_array_tc
`TypeCode` | `create_component_tc(java.lang.String id, java.lang.String name)` Operation create_component_tc
`TypeCode` | `create_enum_tc(java.lang.String id, java.lang.String name, java.lang.String[] members)` Operation create_enum_tc
`TypeCode` | `create_exception_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Operation create_exception_tc
`TypeCode` | `create_fixed_tc(short digits, short scale)` Operation create_fixed_tc
`TypeCode` | `create_home_tc(java.lang.String id, java.lang.String name)` Operation create_home_tc
`TypeCode` | `create_interface_tc(java.lang.String id, java.lang.String name)` Operation create_interface_tc
`TypeCode` | `create_local_interface_tc(java.lang.String id, java.lang.String name)` Operation create_local_interface_tc
`TypeCode` | `create_native_tc(java.lang.String id, java.lang.String name)` Operation create_native_tc
`TypeCode` | `create_recursive_sequence_tc(int bound, int offset)` Operation create_recursive_sequence_tc
`TypeCode` | `create_recursive_tc(java.lang.String id)` Operation create_recursive_tc
`TypeCode` | `create_sequence_tc(int bound, TypeCode element_type)` Operation create_sequence_tc
`TypeCode` | `create_string_tc(int bound)` Operation create_string_tc
`TypeCode` | `create_struct_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Operation create_struct_tc
`TypeCode` | `create_union_tc(java.lang.String id, java.lang.String name, TypeCode discriminator_type, UnionMember[] members)` Operation create_union_tc
`TypeCode` | `create_value_box_tc(java.lang.String id, java.lang.String name, TypeCode boxed_type)` Operation create_value_box_tc
`TypeCode` | `create_value_tc(java.lang.String id, java.lang.String name, short type_modifier, TypeCode concrete_base, ValueMember[] members)` Operation create_value_tc
`TypeCode` | `create_wstring_tc(int bound)` Operation create_wstring_tc

Methods inherited from class org.omg.CORBA.TypeCodeFactoryPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCodeFactoryPOATie

    public TypeCodeFactoryPOATie(TypeCodeFactoryOperations tieObject)

  Constructor

### TypeCodeFactoryPOATie

    public TypeCodeFactoryPOATie(TypeCodeFactoryOperations tieObject,
                                 POA poa)

  Constructor

Method Detail

### _delegate

    public TypeCodeFactoryOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(TypeCodeFactoryOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### create_struct_tc

    public TypeCode create_struct_tc(java.lang.String id,
                                     java.lang.String name,
                                     StructMember[] members)

  Operation create_struct_tc

### create_union_tc

    public TypeCode create_union_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode discriminator_type,
                                    UnionMember[] members)

  Operation create_union_tc

### create_enum_tc

    public TypeCode create_enum_tc(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String[] members)

  Operation create_enum_tc

### create_alias_tc

    public TypeCode create_alias_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode original_type)

  Operation create_alias_tc

### create_exception_tc

    public TypeCode create_exception_tc(java.lang.String id,
                                        java.lang.String name,
                                        StructMember[] members)

  Operation create_exception_tc

### create_interface_tc

    public TypeCode create_interface_tc(java.lang.String id,
                                        java.lang.String name)

  Operation create_interface_tc

### create_string_tc

    public TypeCode create_string_tc(int bound)

  Operation create_string_tc

### create_wstring_tc

    public TypeCode create_wstring_tc(int bound)

  Operation create_wstring_tc

### create_fixed_tc

    public TypeCode create_fixed_tc(short digits,
                                    short scale)

  Operation create_fixed_tc

### create_sequence_tc

    public TypeCode create_sequence_tc(int bound,
                                       TypeCode element_type)

  Operation create_sequence_tc

### create_recursive_sequence_tc

    public TypeCode create_recursive_sequence_tc(int bound,
                                                 int offset)

  Operation create_recursive_sequence_tc

### create_array_tc

    public TypeCode create_array_tc(int length,
                                    TypeCode element_type)

  Operation create_array_tc

### create_value_tc

    public TypeCode create_value_tc(java.lang.String id,
                                    java.lang.String name,
                                    short type_modifier,
                                    TypeCode concrete_base,
                                    ValueMember[] members)

  Operation create_value_tc

### create_value_box_tc

    public TypeCode create_value_box_tc(java.lang.String id,
                                        java.lang.String name,
                                        TypeCode boxed_type)

  Operation create_value_box_tc

### create_native_tc

    public TypeCode create_native_tc(java.lang.String id,
                                     java.lang.String name)

  Operation create_native_tc

### create_recursive_tc

    public TypeCode create_recursive_tc(java.lang.String id)

  Operation create_recursive_tc

### create_abstract_interface_tc

    public TypeCode create_abstract_interface_tc(java.lang.String id,
                                                 java.lang.String name)

  Operation create_abstract_interface_tc

### create_local_interface_tc

    public TypeCode create_local_interface_tc(java.lang.String id,
                                              java.lang.String name)

  Operation create_local_interface_tc

### create_component_tc

    public TypeCode create_component_tc(java.lang.String id,
                                        java.lang.String name)

  Operation create_component_tc

### create_home_tc

    public TypeCode create_home_tc(java.lang.String id,
                                   java.lang.String name)

  Operation create_home_tc

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD